> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a maintenance window

> Get a maintenance window by ID



## OpenAPI

````yaml get /uptime/maintenance-windows/{maintenanceWindowId}
openapi: 3.0.0
info:
  title: Phare
  description: >-
    Learn how to use the phare.io API. Most of the things that can be done on
    the web platform can also be achieved with the API documented on this page.
  termsOfService: https://phare.io/legal/terms-of-service
  contact:
    name: Phare
    email: support@phare.io
  version: '1.0'
servers:
  - url: https://api.phare.io
security:
  - BearerAuth: []
tags:
  - name: Users
    description: Users
  - name: Projects
    description: Projects
  - name: Alert Rules
    description: Alert Rules
  - name: Monitors
    description: Monitors
  - name: Incidents
    description: Incidents
  - name: Status Pages
    description: Status Pages
  - name: Reports
    description: Reports
  - name: Platform
    description: Platform
  - name: Integrations
    description: Integrations
  - name: Maintenance Windows
    description: Maintenance Windows
paths:
  /uptime/maintenance-windows/{maintenanceWindowId}:
    get:
      tags:
        - Maintenance Windows
      summary: Get a maintenance window
      description: Get a maintenance window by ID
      operationId: getUptimeMaintenanceWindow
      parameters:
        - name: maintenanceWindowId
          in: path
          description: ID of the maintenance window to show
          required: true
          schema:
            type: integer
        - $ref: '#/components/parameters/header_project_id'
        - $ref: '#/components/parameters/header_project_slug'
      responses:
        '200':
          description: Success, maintenance window retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    description: Maintenance window ID
                    type: integer
                    example: 1
                  project_id:
                    description: Parent project ID
                    type: integer
                    example: 1
                  state:
                    $ref: '#/components/schemas/Uptime.MaintenanceWindow.StateEnum'
                  monitoring_mode:
                    $ref: >-
                      #/components/schemas/Uptime.MaintenanceWindow.MonitoringModeEnum
                  title:
                    description: Maintenance window title
                    type: string
                    example: Database upgrade
                    maximum: 250
                    minimum: 1
                  description:
                    description: Description of the maintenance window
                    type: string
                    example: Planned database upgrade and maintenance
                    nullable: true
                  starts_at:
                    description: Date and time when the maintenance window starts
                    type: string
                    format: date-time
                  ends_at:
                    description: Date and time when the maintenance window ends
                    type: string
                    format: date-time
                  monitors:
                    description: List of monitor IDs linked to the maintenance window
                    type: array
                    items:
                      type: integer
                    example:
                      - 1
                      - 2
                      - 3
                  status_pages:
                    description: List of status page IDs linked to the maintenance window
                    type: array
                    items:
                      type: integer
                    example:
                      - 1
                      - 2
                  created_at:
                    description: Date of creation for the entity
                    type: string
                    format: date-time
                  updated_at:
                    description: Date of last update for the entity
                    type: string
                    format: date-time
                required:
                  - title
                  - monitoring_mode
                  - starts_at
                  - ends_at
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    header_project_id:
      name: X-Phare-Project-Id
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: integer
        example: 1
    header_project_slug:
      name: X-Phare-Project-Slug
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: string
        example: luminous-guiding-tower
  schemas:
    Uptime.MaintenanceWindow.StateEnum:
      type: string
      enum:
        - scheduled
        - in_progress
        - completed
        - cancelled
    Uptime.MaintenanceWindow.MonitoringModeEnum:
      type: string
      enum:
        - pause
        - mute
        - normal
  responses:
    '401':
      description: Error, access unauthorized
      content:
        application/json:
          schema:
            description: Access unauthorized error schema
            properties:
              message:
                type: string
                example: Unauthorized
            type: object
    '403':
      description: Error, access forbidden
      content:
        application/json:
          schema:
            description: Access forbidden error schema
            properties:
              message:
                type: string
                example: >-
                  The platform:write permission is required to perform this
                  action.
            type: object
    '404':
      description: Error, resource not found
      content:
        application/json:
          schema:
            description: Not found error schema
            properties:
              message:
                type: string
                example: Resource not found
            type: object
  securitySchemes:
    BearerAuth:
      type: http
      description: >-
        Use a user token to access authenticated routes. The token must be
        specified in the Authorization HTTP header with the following format
        'Authorization: Bearer <token>'.
      scheme: bearer

````